> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create avatar

> Generate Podcast avatar photos using Web pricing and asset ownership.

MCP tool: `podcast_create_avatar`. OAuth scope: `podcast.generate`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/avatars
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/avatars:
    post:
      tags:
        - Podcast
      summary: create avatar
      description: Generate Podcast avatar photos using Web pricing and asset ownership.
      operationId: podcast_create_avatar
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.CreatePodcastAvatarReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vo.CreatePodcastAvatarResp'
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.CreatePodcastAvatarReq:
      properties:
        avatar_type:
          description: 数字人类型 空:默认/pet:宠物/cartoon:卡通
          type: string
        background:
          allOf:
            - $ref: '#/components/schemas/dto.PodcastBackgroundReq'
          description: 背景图
        model:
          description: 使用的模型 3:Nano Banana 2/9:Nano Banana Pro/11:GPT Image 2
          enum:
            - 3
            - 9
            - 11
          type: integer
        packs:
          description: 两个pack的参数，第一个为左，第二个为右
          items:
            $ref: '#/components/schemas/dto.CreatePacksReq'
          type: array
        podcast_version:
          description: 默认 10 可选 20
          type: integer
      type: object
    vo.CreatePodcastAvatarResp:
      properties:
        pack_ids:
          description: 两个pack的id，第一个为左，第二个为右
          items:
            type: integer
          type: array
        podcast_avatar_id:
          description: 对话数字人id
          type: integer
      type: object
    dto.PodcastBackgroundReq:
      properties:
        id:
          description: 公共背景ID；用户背景固定传0
          type: integer
        label:
          description: 背景标签/名称
          type: string
        left_url:
          description: 左边背景图url
          type: string
        origin_url:
          description: 原图URL（实际使用此字段）
          type: string
        preview_url:
          description: 预览图URL
          type: string
        prompt:
          description: 背景提示词
          type: string
        right_url:
          description: 右边背景图url
          type: string
        style:
          description: 背景风格
          type: string
        user_background_id:
          description: 用户背景ID；大于0时由服务端按当前用户和空间回查
          type: integer
      type: object
    dto.CreatePacksReq:
      properties:
        aspect_ratio:
          description: 宽高比:0-9:16;1-16:9
          type: integer
        avatarType:
          description: 数字人类型 default/pet/cartoon/baby
          type: string
        avatar_library_id:
          description: 头像库ID
          type: integer
        backgroundPrompt:
          description: 背景提示词，内部逻辑使用
          type: string
        custom_prompt:
          description: 自定义prompt
          type: string
        gender:
          description: 性别:Male,Female
          type: string
        model:
          description: 使用的模型 0:默认/4:Seedream 4.0/9:Nano Banana Pro
          type: integer
        name:
          description: 名称
          type: string
        photo_url:
          description: 照片URL
          type: string
        podcast:
          description: 对话数字人的左边还是右边，内部逻辑使用
          type: integer
        podcastVersion:
          description: podcast版本 目前有效值为 10 和 20
          type: integer
        second_person_photo_url:
          description: 第二个人的照片URL 仅在Nano Banana Pro生图时有效
          type: string
        seed:
          description: 随机种子，内部逻辑使用
          type: integer
        theme:
          description: 主题
          type: string
        themeList:
          description: 主题列表，内部逻辑使用，有传的情况下会优先取用
          items:
            $ref: '#/components/schemas/model.AigcPacksTheme'
          type: array
        theme_id:
          description: 主题ID
          type: integer
        theme_image_url:
          description: 主题图片URL 仅在Nano Banana Pro生图时有效
          type: string
        timbre_unique_id:
          description: 音色ID
          type: string
      required:
        - photo_url
        - theme
      type: object
    model.AigcPacksTheme:
      properties:
        aspect_ratio:
          description: 宽高比 0:9比16/1:16比9
          type: integer
        category:
          description: 类型
          type: string
        create_time:
          description: 创建时间
          type: integer
        delete_time:
          description: 删除时间
          type: integer
        id:
          description: 记录的唯一标识符
          type: integer
        prompt:
          description: 提示词
          type: string
        sample_cover:
          description: 示例封面
          type: string
        sample_video:
          description: 示例视频
          type: string
        subscheme:
          description: 子样式
          type: string
        tag:
          description: 标签
          type: string
        typ:
          description: 主题类型 1:默认主题/2:对话数字人主题
          type: integer
        update_time:
          description: 更新时间
          type: integer
        use_count:
          description: 使用数
          type: integer
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````